@import url('_mixins.less');
@import url('./fonts.less');
@import (inline) url('../css/normalize.css');

body {
  font-family: Inter, -apple-system, system-ui, Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 16px;
  color: @colorText;
  margin: 0;
  padding: 0;
  position: relative;
  line-height: 1.75;
  background: @colorSurface;
  // min-width: 800px;
  -webkit-font-smoothing: antialiased;
  @media (max-width: 600px) {
    line-height: 1.6;
  }
  .scrollbar();
}

.break-word {
  word-break: break-word;
}
.center {
  max-width: 1200px;
  position: relative;
  margin: 0 auto;
  padding-left: 40px;
  padding-right: 40px;
  box-sizing: border-box;
  @media (max-width: 960px) {
    padding-left: 30px;
    padding-right: 30px;
  }
  @media (max-width: 800px) {
    padding-left: 15px;
    padding-right: 15px;
  }
}
a {
  color: @colorPrimary;
  text-decoration: none;
  &:hover {
    text-decoration: underline;
  }
}
ul {
  padding-left: 30px;
}
li {
  margin: 5px 0;
}

// Headings
h1,
h2,
h3,
h4,
h5,
.h1,
.h2,
.h3,
.h4,
.h5 {
  font-weight: bold;
}
h1,
.h1 {
  font-size: 40px;
  line-height: 1.2;
  margin: 0.7em 0;
  &:first-child {
    margin-top: 0;
  }
}

h2,
.h2 {
  font-size: 32px;
  line-height: 1.3;
  margin: 1.5em 0 0.5em;
}
h3,
.h3 {
  font-size: 26px;
  line-height: 1.4;
  margin: 1.25em 0 1em;
}
h4,
.h4 {
  font-size: 20px;
  margin: 1.2em 0 1em;
  line-height: 1.4;
}
h5,
.h5 {
  font-size: 18px;
  line-height: 1.3;
}
h1,
h2,
h3,
h4,
h5 {
  &.code,
  .code {
    .monospace();
    font-weight: normal !important;
  }
}

// Content
main {
  padding-top: 60px;
  padding-bottom: 40px;
  box-sizing: border-box;
  @media (min-width: 601px) {
    padding-top: 50px;
  }
  @media (min-width: 961px) {
    padding-top: 40px;
  }
  img {
    max-width: 100%;
  }
}

.centered,
.text-align-center {
  text-align: center;
}
.large-text {
  font-size: 18px;
  @media (max-width: 600px) {
    font-size: 16px;
  }
}

// Grid
.row {
  display: flex;
  .col-50 {
    width: 50%;
  }
  .col-33 {
    width: 100% / 3;
  }
}

// Github buttons
.github-buttons {
  font-size: 0;
  line-height: 18px;
  i {
    width: 20px;
    height: 20px;
    font-size: 20px;
    vertical-align: middle;
  }
  a {
    display: inline-block;
    color: inherit;
    text-decoration: none;
    vertical-align: middle;
    font-size: 12px;
    margin-left: 4px;
    span {
      font-size: 15px;
    }
    &:hover {
      text-decoration: underline;
    }
  }
  a:first-child {
    margin-left: 0px;
  }
}

.important-note {
  padding: 6px 12px 6px 16px;
  background: #412626;
  border-left: 4px solid @colorPrimary;
  position: relative;
  ul {
    margin: 0;
    padding-left: 20px;
  }
}

.carbon {
  line-height: 1.4;
  overflow: hidden;
  border-radius: 3px;
  box-sizing: border-box;
  margin-top: 0px;
  min-height: 103px;
  padding-right: 8px;
  a {
    color: #333;
    display: block;
    text-decoration: none;
  }
  img {
    display: block;
    width: 80px;
    height: auto;
    object-fit: contain;
  }
  .carbon-img {
    display: block;
    float: left;
  }
  .carbon-text {
    margin-top: 0px;
    margin-left: 92px;
    font-size: 12px;
  }
  .carbon-poweredby {
    opacity: 0.6;
    font-size: 11px;
    margin-top: 4px;
    margin-left: 92px;
  }
}
.carbon-placeholder {
  text-align: left;
  padding-top: 30px;
  #carbonads + & {
    display: none;
  }
}

.f7-demo-icons {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  .f7-demo-icon-cell {
    float: left;
    width: calc(20% - 10px);
    text-align: center;
    margin-bottom: 40px;
  }
  .f7-demo-icon {
    height: 28px;
    i {
      cursor: pointer;
    }
  }
  .f7-demo-icon-label {
    font-size: 11px;
    margin-top: 10px;
    word-break: break-all;
  }
  @media (max-width: 600px) {
    .f7-demo-icon-cell {
      width: calc(100% / 3 - 10px);
    }
  }
  @media (max-width: 400px) {
    .f7-demo-icon-cell {
      width: calc(100% / 2 - 10px);
    }
  }
}
.f7-demo-icons-toast {
  position: fixed;
  right: 32px;
  bottom: 32px;
  width: auto;
  max-width: calc(100% - 64px);
  padding: 12px;
  box-sizing: border-box;
  font-size: 12px;
  font-weight: 50;
  color: rgba(255, 255, 255, 0.7);
  line-height: 1.3;
  background: @colorSurface4;
  border: 1px solid @colorBorder;
  border-radius: 12px;
  z-index: 100;
  animation: f7-demo-icons-toast 2000ms;
  b {
    color: #fff;
  }
}
@keyframes f7-demo-icons-toast {
  0% {
    transform: translateY(calc(100% + 15px));
  }
  10% {
    transform: translateY(0);
  }
  90% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(calc(100% + 15px));
  }
}
.patreon-button {
  font-size: 0;
  line-height: 22px;
  display: inline-block;
  .patreon-logo {
    display: inline-block;
    position: relative;
    height: 16px;
    width: 16px;
    @size: 16px;
    vertical-align: middle;
    &:before {
      position: absolute;
      left: 0;
      top: 0;
      width: calc(16px / 5);
      height: @size;
      content: '';
      background: currentColor;
    }
    &:after {
      width: @size * 0.75;
      height: @size * 0.75;
      position: absolute;
      background: currentColor;
      border-radius: 10px;
      content: '';
      right: 0;
      top: 0;
    }
  }
  .patreon-text {
    font-size: 12px;
    display: inline-block;
    vertical-align: middle;
    line-height: 1;
    margin-left: 5px;
  }
}

.clearfix {
  .clearfix();
}
@import url('nav.less');
@import url('header.less');
@import url('header-home.less');
@import url('home-page.less');
@import url('docs.less');
@import url('tables.less');
@import url('apps.less');
@import url('showcase.less');
@import url('tutorials.less');
@import url('sponsors.less');
@import url('pre-code.less');
@import url('example-preview.less');
@import url('constructor.less');
@import url('./footer.less');
